#ifndef OF_SCRAPER_WEB_CONNECTION
#define OF_SCRAPER_WEB_CONNECTION


#include <string>
#include "curl/curl.h"


// major todo's threading and error reporting.
// status and etc. 
// curl options getable and setable
// curl load to RAM (for I/O purposes)

using namespace std;

class ofScraperWebConnection{


	public: 

		bool 	bLoadedOk;
		int 	errorCode;
		string  errorString;
		string 	userAgent;
		
		
		CURL 		*curl;
	    CURLcode 	result;
		
		string getString();
		
		
		void setUserAgent(string _userAgent);
		
		void getWebPageAsString(string url);
		void getWebPageToFile(string url, string filename);
	
};



#endif